routes/web.php
<?php

use Illuminate\Support\Facades\Route;
use App\Http\Controllers\Auth\AdminLoginController;
use App\Http\Controllers\AdminController;
use App\Http\Controllers\ProdukController;
use App\Http\Controllers\OrderController;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('welcome');
});

Route::prefix('/admin')->name('admin.')->group(function(){
    Route::get('/login', [AdminLoginController::class, 'showLoginForm'])->name('login');
    Route::post('/login', [AdminLoginController::class, 'login'])->name('login');
    Route::post('/logout', [AdminLoginController::class, 'logout'])->name('logout');
    Route::get('/home', [AdminController::class, 'index'])->name('home');
});

Auth::routes(['verify' => true]);

Route::get('/home', [App\Http\Controllers\HomeController::class, 'index'])->name('home');
Route::resources([
    'produk' => ProdukController::class,
    'order' => OrderController::class,
]);

resources/views/action/order.blade.php
<button type="submit" form="update_order_{{ $model->id }}" class="btn btn-primary"
    onclick="return confirm('Apakah ingin melakukan approval terhadap order ini ?');">
    <i class="fas fa-clipboard-check"></i>&nbsp;Approve
</button>
<form id="update_order_{{ $model->id }}" action="{{ route('order.update', $model->id) }}"
    method="post">
    @csrf
    @method('PATCH')
</form>

resources/views/action/produk.blade.php
<a class="btn btn-primary" href="{{ route('produk.show', $model->id) }}">
    <i class="fas fa-search"></i>&nbsp;View
</a>
<a class="btn btn-success" href="{{ route('produk.edit', $model->id) }}">
    <i class="fas fa-edit"></i>&nbsp;Edit
</a>
<button type="submit" form="delete_produk_{{ $model->id }}" class="btn btn-danger"
    onclick="return confirm('Apakah ingin menghapus produk ini ?');">
    <i class="fas fa-trash"></i>&nbsp;Delete
</button>
<form id="delete_produk_{{ $model->id }}" action="{{ route('produk.destroy', $model->id)}}"
    method="post">
    @csrf
    @method('DELETE')
</form>